com.sun.messaging

## Class BasicQueue

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.Destination
    - - com.sun.messaging.BasicQueue

- All Implemented Interfaces:
    Serializable, Destination, Queue
  Direct Known Subclasses:
    Queue

      public class BasicQueue
      extends Destination
      implements Queue

  A `BasicQueue` represents an identity of a repository of messages used in the JMS Point-To-Point messaging domain.
  See Also:
    `javax.jms.Queue`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.messaging.AdministeredObject

      `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicQueue()` Constructs an identity of a Point-To-Point Queue with the default name
    `BasicQueue(String name)` Constructs an identity of a Point-To-Point Queue with the given name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object anObject)` Compares this Queue to the specified object.
    `int` | `hashCode()`
    `boolean` | `isQueue()` Returns whether this is a Queueing type of Destination object
    `boolean` | `isTemporary()` Returns whether this is a Temporary type of Destination object

    - ### Methods inherited from class com.sun.messaging.Destination

      `getName, getQueueName, getTopicName, setDefaultConfiguration, toString, validate_imqDestinationName`

    - ### Methods inherited from class com.sun.messaging.AdministeredObject

      `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Queue

      `getQueueName, toString`

- - ### Constructor Detail

    - #### BasicQueue

          public BasicQueue()

      Constructs an identity of a Point-To-Point Queue with the default name

    - #### BasicQueue

          public BasicQueue(String name)
                     throws JMSException

      Constructs an identity of a Point-To-Point Queue with the given name
      Parameters:
        `name` - The name of the Queue
      Throws:
        `JMSException`

  - ### Method Detail

    - #### equals

          public boolean equals(Object anObject)

      Compares this Queue to the specified object. The result is `true` if and only if the arguement is not `null` and is a `Queue` object with the same Queue Name as this object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `anObject` - The object to compare this `Queue` against.
      Returns:
        `true` if the object and this `Queue`are equal; `false` otherwise.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isQueue

          public boolean isQueue()

      Returns whether this is a Queueing type of Destination object
      Specified by:
        `isQueue` in class `Destination`
      Returns:
        whether this is a Queueing type of Destination object

    - #### isTemporary

          public boolean isTemporary()

      Returns whether this is a Temporary type of Destination object
      Specified by:
        `isTemporary` in class `Destination`
      Returns:
        whether this is a Temporary type of Destination object

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.